Summary:        A substitute for the popular {ip,ip6,arp,eb}tables
Name:           nftables
Version:        1.0.8
Release:        6%{?dist}
License:        GPLv2
URL:            https://netfilter.org/projects/nftables/
Source0:        %{url}/files/%{name}-%{version}.tar.xz
Source1:        nftables.service
Source2:        nftables.conf

BuildRequires: gcc make automake
BuildRequires: flex bison python3-setuptools
BuildRequires: systemd asciidoc
BuildRequires: libmnl-devel iptables-devel libnftnl-devel 
BuildRequires: jansson-devel python3-devel libedit-devel gmp-devel 

%description
nftables replaces the popular {ip,ip6,arp,eb}tables. This software provides 
a new in-kernel packet classification framework that is based on a network-
specific Virtual Machine (VM) and a new nft userspace command line tool. 
nftables reuses the existing Netfilter subsystems such as the existing hook 
infrastructure, the connection tracking system, NAT, userspace queueing and 
logging subsystem.


%package        devel
Summary:        Development package of  libnftables
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package provides libnftables development headers and libraries.


%package -n     python3-nftables
Summary:        Interface for libnftables
Requires:       %{name} = %{version}-%{release}

%description -n python3-nftables
This package provides an interface to libnftables.


%prep
%autosetup -p1

# from upstream: https://git.netfilter.org/nftables/commit/py?id=1acc2fd48c755a8931fa87b8d0560b750316059f
sed -i 's/distutils.core/setuptools/' py/setup.py

# this part is downstream only and prevents setuptools from installing an egg:
sed -i 's/--prefix $(DESTDIR)$(prefix)/--root $(DESTDIR) --prefix $(prefix)/' py/Makefile*

%build
%configure --disable-silent-rules --disable-static --with-xtables \
	       --with-json  --enable-python --with-python-bin="$(which python3)"
%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

install -D -m 644 %{SOURCE1} %{buildroot}/%{_unitdir}/nftables.service
install -D -m 600 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/nftables.conf
install -d -m 700 %{buildroot}%{_sysconfdir}/nftables
mv %{buildroot}%{_datadir}/nftables/*.nft %{buildroot}%{_sysconfdir}/nftables/


%post
%systemd_post nftables.service


%preun
%systemd_preun nftables.service


%postun
%systemd_postun_with_restart nftables.service


%files
%license COPYING
%{_mandir}/man5/libnftables-json.5.gz
%{_mandir}/man8/nft.8.gz
%{_libdir}/libnftables.so.*
%{_unitdir}/nftables.service
%{_docdir}/nftables/examples/*.nft
%config(noreplace) %{_sysconfdir}/nftables/
%config(noreplace) %{_sysconfdir}/sysconfig/nftables.conf
%{_sbindir}/nft


%files devel
%{_mandir}/man3/libnftables.3.gz
%{_libdir}/libnftables.so
%{_libdir}/pkgconfig/libnftables.pc
%{_includedir}/nftables/libnftables.h


%files -n python3-nftables
%{python3_sitelib}/nftables-*.egg-info
%{python3_sitelib}/nftables/


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-5
- Rebuilt for loongarch release

* Tue Mar 19 2024 Rebuild Robot <rebot@opencloudos.org> - 1.0.8-4
- Rebuilt for jansson

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Shuo Wang <abushwang@tencent.com> - 1.0.8-1
- update to 1.0.8

* Thu May 18 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.4-5
- Add newline to fix nftables.service startup failure

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 08 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.0.4-2
- Fix bogus POSTIN and POSTUN scripts

* Thu Jul 21 2022 doriscchao <doriscchao@tencent.com> - 1.0.4-1
- initial build,Version 1.0.4, Release 1
